<template lang="pug">
  .main-photo.stained-background
    .box
      img(src="~/assets/img/photos/main.webp", alt='ABEUNI Logo')
      // Abeuni logo on top right
      .over-box.over-logo-box
        .over-image
          img(src="~/assets/img/logo.webp", alt='')
      // Bottom left text box
      .over-box.over-text-box
        .over-text SEJA A MUDANÇA QUE VOCÊ QUER VER NO MUNDO
</template>

<script>
export default {}
</script>

<style lang="scss">
.main-photo {
  padding: 3em;

  .box {
    // keep AR
    position: relative;
    width: 100%;
    padding-bottom: 66.65%; // 16:9

    img {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
    }

    .over-box {
      position: absolute;
      width: 30em;
      max-width: 50%;
      max-height: 30%;

      padding: 3em;

      background-image: url('~assets/img/stain.webp');
      background-size: 100% 100%;
      background-repeat: no-repeat;
      background-position: center;

      .over-image {
        position: relative;
        display: flex;

        width: 22em;
        height: 5em;
        max-width: 100%;
        max-height: 100%;

        z-index: 1;

        img {
          object-fit: contain;
          width: 100%;
        }
      }

      .over-text {
        z-index: 1;

        color: black;
        font-size: 1.5em;
        font-weight: 600;

        text-align: center;
      }
    }

    .over-logo-box {
      top: 2em;
      right: 1em;
    }
    .over-text-box {
      bottom: 2em;
      left: 1em;
    }
  }
}
</style>
